unix?=		We run Unix.
OS?=		Plan9

#The default files assumes bootstrapping under vanilla
# ape/psh with the "cc" front end to kencc etc
# this means that GNU style AS will not work.
# no pascal, fortran, objc or c++ supported
# The GCC port should support most of those and need sepparate configuration for bootstrap if wanted.

.SUFFIXES: .out .a .o .c .y .l .h
#.cpp .cxx .cc .C .F .f .ln .cl .p .r .s .S 
.SUFFIXES: .sh .m4
  
.LIBS:		.a

AR?=		ar
ARFLAGS?=	rl
RANLIB?=	ranlib

CC?=		cc
DBG?=
CFLAGS?=	${DBG}
COMPILE.c?=	${CC} ${CFLAGS} ${CPPFLAGS}
LINK.c?=	${CC} ${CFLAGS} ${CPPFLAGS} ${LDFLAGS}

CPP?=		cc -E
NOLINT=		1
CPPFLAGS?=

INSTALL?=	install

LEX?=		lex
LFLAGS?=
LEX.l?=		${LEX} ${LFLAGS}

LD?=		ld
LDFLAGS?=

LORDER?=	echo

MAKE?=		make

NM?=		nm

SHELL?=		sh

SIZE?=		size

TSORT?= 	tsort

YACC?=		yacc
YFLAGS?=
YACC.y?=	${YACC} ${YFLAGS}

# C
.c:
	${LINK.c} -o ${.TARGET} ${.IMPSRC} ${LDLIBS}
.c.o:
	${COMPILE.c} ${.IMPSRC}
.c.a:
	${COMPILE.c} ${.IMPSRC}
	${AR} ${ARFLAGS} $@ $*.o
	rm -f $*.o

# Lex
.l:
	${LEX.l} ${.IMPSRC}
	${LINK.c} -o ${.TARGET} lex.yy.c ${LDLIBS} -ll
	rm -f lex.yy.c
.l.c:
	${LEX.l} ${.IMPSRC}
	mv lex.yy.c ${.TARGET}
.l.o:
	${LEX.l} ${.IMPSRC}
	${COMPILE.c} -o ${.TARGET} lex.yy.c 
	rm -f lex.yy.c

# Yacc
.y:
	${YACC.y} ${.IMPSRC}
	${LINK.c} -o ${.TARGET} y.tab.c ${LDLIBS}
	rm -f y.tab.c
.y.c:
	${YACC.y} ${.IMPSRC}
	mv y.tab.c ${.TARGET}
.y.o:
	${YACC.y} ${.IMPSRC}
	${COMPILE.c} -o ${.TARGET} y.tab.c
	rm -f y.tab.c

# Shell
.sh:
	rm -f ${.TARGET}
	cp ${.IMPSRC} ${.TARGET}
